package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.product.vo.SkuLangVO;
import com.tmerclub.cloud.common.product.vo.SpuLangVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * 调拨订单商品VO
 * @author gaozijie
 * @date 2023-11-20
 */
public class AllotOrderItemVO {

    @Schema(description = "调拨订单商品id")
    private Long allotOrderItemId;

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "spu名称多语言")
    private List<SpuLangVO> spuLangVOList;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "sku名称多语言")
    private List<SkuLangVO> skuLangVOList;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品规格图")
    private String imgUrl;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    @Schema(description = "调拨入库数量")
    private Integer allotInCount;

    @Schema(description = "入库数量")
    private Integer inboundCount;

    public AllotOrderItemVO() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public List<SpuLangVO> getSpuLangVOList() {
        return spuLangVOList;
    }

    public void setSpuLangVOList(List<SpuLangVO> spuLangVOList) {
        this.spuLangVOList = spuLangVOList;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public List<SkuLangVO> getSkuLangVOList() {
        return skuLangVOList;
    }

    public void setSkuLangVOList(List<SkuLangVO> skuLangVOList) {
        this.skuLangVOList = skuLangVOList;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }

    public Integer getInboundCount() {
        return inboundCount;
    }

    public void setInboundCount(Integer inboundCount) {
        this.inboundCount = inboundCount;
    }

    @Override
    public String toString() {
        return "AllotOrderItemVO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", spuId=" + spuId +
                ", spuLangVOList=" + spuLangVOList +
                ", skuId=" + skuId +
                ", partyCode='" + partyCode + '\'' +
                ", skuLangVOList=" + skuLangVOList +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                ", inboundCount=" + inboundCount +
                '}';
    }
}
